#!/usr/bin/env python

from email import message_from_file
import sys

def decode(part):
    for key, value in part.items():
        if key != "Content-Transfer-Encoding":
            print "%s: %s" % (key, value)
    print
    decoded = part.get_payload(decode=True)
    if decoded:
        print decoded
        print
    else:
        for part in part.get_payload():
            decode(part)

message = message_from_file(sys.stdin)
decode(message)

# vim: tabstop=4 expandtab shiftwidth=4
